#
# spec file for package xdg-menu (Version 0.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           xdg-menu
Version:        0.2
Release:        66.2
Summary:        XDG Menus for WindowMaker and other Window Managers
License:        GPL
Group:          System/GUI/Other
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Autoreqprov:    on
Requires:       perl-XML-Parser desktop-data
Source:         %name.tar.bz2
Patch:          %name-xfce4.patch
Patch1:         %name-box.patch
Patch2:         %name-twm.patch
Patch3:         %name-xfce4-icon.patch

%description
This package contains a Perl script which converts XDG menus to formats
used by WindowMaker and other window managers.



Authors:
--------
    Vladimir Nadvornik <nadvornik@suse.cz>

%debug_package
%prep 
%setup -n xdg-menu
%patch
%patch1 -p1
%patch2
%patch3

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m 755 * $RPM_BUILD_ROOT/usr/bin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/xdg_menu
/usr/bin/xdg_menu_su

%changelog -n xdg-menu
* Fri Mar 24 2006 - pnemec@suse.cz
- added icon in xfce4 menu
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jul 29 2005 - nadvornik@suse.cz
- added twm support
* Tue Nov 30 2004 - hvogel@suse.de
- merge *box patches to a single patch
- readd openbox3-pipe output
* Thu Nov 18 2004 - hvogel@suse.de
- correct help output to include xfce4
- merge *box options into one condition
- make the default output for *box a submenu again and
  add a --fullmenu option
- fix xfce4 output to not include '&' in menu/app names
* Tue Nov 09 2004 - hvogel@suse.de
- added openbox3 support by Marcus Rueckert
- alias fluxbox, openbox to blackbox output
* Mon Sep 13 2004 - nadvornik@suse.cz
- added xfce4 support
* Tue Mar 16 2004 - nadvornik@suse.cz
- do not display KDE-specific entries [#36152]
- requires desktop-data
* Fri Mar 12 2004 - nadvornik@suse.cz
- fixed paths for kde desktop entries
- remove duplicate entries which came from different desktop files
* Mon Feb 02 2004 - nadvornik@suse.cz
- added caching of output
- fixed dependencies [#33294]
- increased version to 0.2
* Wed Sep 17 2003 - nadvornik@suse.cz
- run su wrapper for entries with X-KDE-SubstituteUID [#30523]
* Mon Sep 15 2003 - nadvornik@suse.cz
- handle desktop files with '&' in file name
- better debugging output
* Fri Sep 12 2003 - nadvornik@suse.cz
- fixed fvwm2 output [#30523]
- fixed bug in parsing desktop files
* Mon Sep 08 2003 - nadvornik@suse.cz
- added blackbox support from mfabian@suse.de
- correctly interpret language in the form LANG_COUNTRY.ENCODING@MODIFIER
* Fri Sep 05 2003 - nadvornik@suse.cz
- more bugs fixed
* Tue Sep 02 2003 - nadvornik@suse.cz
- added fvwm2 support
* Fri Aug 29 2003 - nadvornik@suse.cz
- some fixes
* Wed Aug 27 2003 - nadvornik@suse.cz
- finished support for WindowMaker
* Mon Aug 25 2003 - nadvornik@suse.cz
- new package, needs some more work
